# Enum EncryptionLevel

java.lang.Object
java.lang.Enum<EncryptionLevel>
org.apache.tomcat.util.net.openssl.ciphers.EncryptionLevel

All Implemented Interfaces:
  `Serializable, Comparable<EncryptionLevel>, java.lang.constant.Constable`

public enum EncryptionLevel extends Enum<EncryptionLevel>
Enumerates the encryption strength levels used in OpenSSL cipher suite configuration.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXP40`
Export-grade 40-bit encryption.
`EXP56`
Export-grade 56-bit encryption.
`FIPS`
FIPS-approved encryption only.
`HIGH`
High strength encryption.
`LOW`
Low strength encryption.
`MEDIUM`
Medium strength encryption.
`STRONG_NONE`
Strong ciphers with no export restrictions.

## Method Summary

Modifier and Type
Method
Description
`static EncryptionLevel`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static EncryptionLevel[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STRONG_NONE

public static final EncryptionLevel STRONG_NONE
Strong ciphers with no export restrictions.

### EXP40

public static final EncryptionLevel EXP40
Export-grade 40-bit encryption.

### EXP56

public static final EncryptionLevel EXP56
Export-grade 56-bit encryption.

### LOW

public static final EncryptionLevel LOW
Low strength encryption.

### MEDIUM

public static final EncryptionLevel MEDIUM
Medium strength encryption.

### HIGH

public static final EncryptionLevel HIGH
High strength encryption.

### FIPS

public static final EncryptionLevel FIPS
FIPS-approved encryption only.

## Method Details

### values

public static EncryptionLevel[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static EncryptionLevel valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null